// mod wayback_machine;
mod news_scraper;

use news_scraper::News;

#[tokio::main(flavor = "multi_thread", worker_threads = 10)]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let news = News::extract_news("https://web.archive.org/web/20171214172259/http://www.fermimn.gov.it/news/index.php?pageno=3")
        .await;

    for element in news {
        println!("{element:#?}");
    }

    Ok(())
}
